NTPDC(8) | Programmer's Manual | NTPDC(8)

# NAME

ntpdc - vendor-specific NTP query program

# SYNOPSIS

ntpdc [-flag [value]]... [--opt-name [[=| ]value]]...
[ host ...]

# DESCRIPTION

This manual page briefly documents the ntpdc command. The [= prog-name =] utility program is used to query an NTP daemon about its current state and to request changes in that state. It uses NTP mode 7 control message formats described in the source code. The program may be run either in interactive mode or controlled using command line arguments. Extensive state and statistics information is available through the [= prog-name =] interface. In addition, nearly all the configuration options which can be specified at startup using ntpd's configuration file may also be specified at run time using [= prog-name =] .

# OPTIONS

-4, --ipv4
  Force IPv4 DNS name resolution. This option must not appear in combination with any of the following options: ipv6.
  Force DNS resolution of following host names on the command line to the IPv4 namespace.

-6, --ipv6
  Force IPv6 DNS name resolution. This option must not appear in combination with any of the following options: ipv4.
  Force DNS resolution of following host names on the command line to the IPv6 namespace.

-c cmd, --command=cmd
  run a command and exit. This option may appear an unlimited number of times.
  The following argument is interpreted as an interactive format command and is added to the list of commands to be executed on the specified host(s).

-l, --listpeers
  Print a list of the peers. This option must not appear in combination with any of the following options: command.
  Print a list of the peers known to the server as well as a summary of their state. This is equivalent to the 'listpeers' interactive command.

-p, --peers
  Print a list of the peers. This option must not appear in combination with any of the following options: command.
  Print a list of the peers known to the server as well as a summary of their state. This is equivalent to the 'peers' interactive command.

-s, --showpeers
  Show a list of the peers. This option must not appear in combination with any of the following options: command.
  Print a list of the peers known to the server as well as a summary of their state. This is equivalent to the 'dmpeers' interactive command.

-i, --interactive
  Force ntpq to operate in interactive mode. This option must not appear in combination with any of the following options: command, listpeers, peers, showpeers.
  Force ntpq to operate in interactive mode. Prompts will be written to the standard output and commands read from the standard input.

-d, --debug-level
  Increase output debug message level. This option may appear an unlimited number of times.
  Increase the debugging message output level.

-D string, --set-debug-level=string
  Set the output debug message level. This option may appear an unlimited number of times.
  Set the output debugging level. Can be supplied multiple times, but each overrides the previous value(s).

-n, --numeric
  numeric host addresses.
  Output all host addresses in dotted-quad numeric format rather than converting to the canonical host names.

-?, --help
  Display extended usage information and exit.

-!, --more-help
  Extended usage information passed thru pager.

-> [rcfile], --save-opts[=rcfile]
  Save the option state to rcfile. The default is the last configuration file listed in the OPTION PRESETS section, below.

-< rcfile, --load-opts=rcfile, --no-load-opts
  Load options from rcfile. The no-load-opts form will disable the loading of earlier RC/INI files. --no-load-opts is handled early, out of order.

- [{v|c|n}], --version[={v|c|n}]
  Output version of program and exit. The default mode is `v', a simple version. The `c' mode will print copyright information and `n' will print the full copyright notice.

# OPTION PRESETS

Any option that is not marked as not presettable may be preset by loading values from configuration ("RC" or ".INI") file(s) and values from environment variables named:
NTPDC_<option-name> or NTPDC
The environmental presets take precedence (are processed later than) the configuration files. The homerc files are "$HOME", and ".". If any of these are directories, then the file .ntprc is searched for within those directories.

# AUTHOR

David L. Mills and/or others
Please send bug reports to: http://bugs.ntp.org, bugs@ntp.org

see html/copyright.html

This manual page was AutoGen-erated from the ntpdc option definitions.

2011-12-24 | ( 4.2.6p5)